import React from 'react';

const LandDetailsStep = ({ 
  city, 
  setCity, 
  locality, 
  setLocality, 
  subLocality, 
  setSubLocality, 
  detailedAddress, 
  setDetailedAddress 
}) => {
  return (
    <>
      <h2 className="text-xl font-bold sm:text-2xl">Where is your Land Located?</h2>
      <div className="mt-6 grid gap-6 sm:mt-8 sm:gap-8">
        <div className="grid gap-4 sm:grid-cols-2">
          <div>
            <label className="mb-2 block font-medium">City</label>
            <input
              type="text"
              placeholder="Enter city name"
              value={city}
              onChange={(e) => setCity(e.target.value)}
              className="w-full rounded-lg border border-gray-300 bg-transparent px-3 py-2 text-sm focus:border-purple-600 focus:outline-none sm:px-4 sm:py-2.5"
            />
          </div>
          <div>
            <label className="mb-2 block font-medium">Locality</label>
            <input
              type="text"
              placeholder="Enter locality"
              value={locality}
              onChange={(e) => setLocality(e.target.value)}
              className="w-full rounded-lg border border-gray-300 bg-transparent px-3 py-2 text-sm focus:border-purple-600 focus:outline-none sm:px-4 sm:py-2.5"
            />
          </div>
        </div>
        <div>
          <label className="mb-2 block font-medium">Address in Details</label>
          <textarea
            placeholder="Enter land encumbrances details"
            value={detailedAddress}
            onChange={(e) => setDetailedAddress(e.target.value)}
            className="w-full rounded-lg border border-gray-300 bg-transparent px-3 py-2 text-sm focus:border-purple-600 focus:outline-none sm:px-4 sm:py-2.5 resize-none"
            rows={3}
          />
        </div>
        <div>
          <label className="mb-2 block font-medium">Sub Locality (optional)</label>
          <input
            type="text"
            placeholder="Enter sub locality"
            value={subLocality}
            onChange={(e) => setSubLocality(e.target.value)}
            className="w-full rounded-lg border border-gray-300 bg-transparent px-3 py-2 text-sm focus:border-purple-600 focus:outline-none sm:px-4 sm:py-2.5"
          />
        </div>
      </div>
    </>
  );
};

export default LandDetailsStep;